
natureMod = ...

natureMod:registerAssetId("icons/leaves_icon.png", MOD_NS .. "LEAVES_ICON", "ATLAS_CELL")

function registerPlantableTree(fbxPath, name)
    natureMod:registerPrefabComponent(fbxPath, { DataType = "COMP_TREE" })
    natureMod:registerPrefabComponent(fbxPath, { DataType = "COMP_PLANTABLE", MinSpaceBetweenPlant = 5.0 })
    natureMod:register({
        DataType = "PLANTABLE",
        Id = MOD_NS .. "PLANTABLE_" .. name,
        Name = MOD_NS .. "PLANTABLE_" .. name .. "_NAME",
        PlantPrefab = MOD_NS .. "PREFAB_" .. name,
        Icon = MOD_NS .. "LEAVES_ICON",
        MinimumScale = 1.0,
        MaximumScale = 1.1
    })
end

registerPlantableTree("models/pine.fbx/Prefab/PineAPart", "PINE_A")
registerPlantableTree("models/pine.fbx/Prefab/PineBPart", "PINE_B")
registerPlantableTree("models/pine.fbx/Prefab/PineCPart", "PINE_C")
registerPlantableTree("models/pine.fbx/Prefab/BeechTreeAPart", "BEECH_A")
registerPlantableTree("models/pine.fbx/Prefab/BeechTreeBPart", "BEECH_B")
registerPlantableTree("models/pine.fbx/Prefab/BeechTreeCPart", "BEECH_C")
registerPlantableTree("models/pine.fbx/Prefab/BeechTreeDPart", "BEECH_D")
registerPlantableTree("models/pine.fbx/Prefab/BeechSaplingAPart", "BEECH_SAPLING_A")
registerPlantableTree("models/pine.fbx/Prefab/MapleTreeAPart", "MAPLE_A")
registerPlantableTree("models/pine.fbx/Prefab/MapleTreeBPart", "MAPLE_B")
registerPlantableTree("models/pine.fbx/Prefab/BirchTreeAPart", "BIRCH_A")
registerPlantableTree("models/pine.fbx/Prefab/BirchTreeBPart", "BIRCH_B")
registerPlantableTree("models/pine.fbx/Prefab/BirchTreeCPart", "BIRCH_C")
registerPlantableTree("models/pine.fbx/Prefab/OakTreeAPart", "OAK_A")
registerPlantableTree("models/pine.fbx/Prefab/OakTreeBPart", "OAK_B")
registerPlantableTree("models/pine.fbx/Prefab/OakTreeCPart", "OAK_C")

registerPlantableTree("models/trees.fbx/Prefab/PineA", "TREES_PINE_A")
registerPlantableTree("models/trees.fbx/Prefab/OakA", "TREES_OAK_A")

natureMod:overrideAsset({
    Id = "BUILDING_FUNCTION_FORESTER",
    PlantableAssetList = {
		Action = "APPEND",

        MOD_NS .. "PLANTABLE_PINE_A",  MOD_NS .. "PLANTABLE_PINE_B",  MOD_NS .. "PLANTABLE_PINE_C",
        MOD_NS .. "PLANTABLE_TREES_PINE_A",
 
        MOD_NS .. "PLANTABLE_BEECH_A", MOD_NS .. "PLANTABLE_BEECH_B", MOD_NS .. "PLANTABLE_BEECH_C", MOD_NS .. "PLANTABLE_BEECH_D",
        MOD_NS .. "PLANTABLE_BEECH_SAPLING_A",

        MOD_NS .. "PLANTABLE_MAPLE_A",  MOD_NS .. "PLANTABLE_MAPLE_B",

        MOD_NS .. "PLANTABLE_BIRCH_A", MOD_NS .. "PLANTABLE_BIRCH_B", MOD_NS .. "PLANTABLE_BIRCH_C",

        MOD_NS .. "PLANTABLE_OAK_A", MOD_NS .. "PLANTABLE_OAK_B", MOD_NS .. "PLANTABLE_OAK_C", MOD_NS .. "PLANTABLE_TREES_OAK_A",
    }
})

